Update a piece of knowledge
curl --request PUT \
--url https://api.meetsquad.ai/organisations/{orgId}/workspaces/{workspaceId}/knowledge/{knowledgeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Best practices for AI in healthcare",
"description": "A collection of best practices for AI in healthcare",
"content": "A collection of best practices for AI in healthcare"
}
'import requests
url = "https://api.meetsquad.ai/organisations/{orgId}/workspaces/{workspaceId}/knowledge/{knowledgeId}"
payload = {
"title": "Best practices for AI in healthcare",
"description": "A collection of best practices for AI in healthcare",
"content": "A collection of best practices for AI in healthcare"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Best practices for AI in healthcare',
description: 'A collection of best practices for AI in healthcare',
content: 'A collection of best practices for AI in healthcare'
})
};
fetch('https://api.meetsquad.ai/organisations/{orgId}/workspaces/{workspaceId}/knowledge/{knowledgeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "7b9e5d2c-f314-48a9-be56-9843a2f6c019",
"state": "initial",
"title": "Best practices for AI in healthcare",
"description": "A collection of best practices for AI in healthcare",
"createdAt": "2023-01-01T00:00:00.000Z",
"updatedAt": "2023-01-01T00:00:00.000Z",
"source": "text",
"providedBy": "NotionPage",
"pdfFileUrl": "https://example.com/document.pdf",
"txtFileUrl": "/knowledge/7b9e5d2c-f314-48a9-be56-9843a2f6c019",
"url": "https://example.com/document.pdf",
"content": "A collection of best practices for AI in healthcare"
}
}{
"error": {
"code": "INVALID_REQUEST",
"description": "One or more fields are invalid",
"fields": [
"title",
"description"
],
"validationErrors": {
"invalidFields": {
"title": {
"type": "too_small",
"message": "Title must be at least 3 characters long",
"path": [
"title"
]
},
"deadline": {
"type": "invalid_date",
"message": "Deadline must be a valid date in the future",
"path": [
"deadline"
]
}
}
}
}
}{
"error": {
"code": "UNAUTHORISED_ERROR",
"description": "User is unauthenticated"
}
}{
"error": {
"code": "UNAUTHORISED_ERROR",
"description": "User is unauthorised"
}
}{
"error": {
"code": "NOT_FOUND",
"description": "The requested resource was not found"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"description": "An unexpected error occurred on the server"
}
}Knowledge
Update a piece of knowledge
Updates the title, description, or content of an existing piece of knowledge
PUT
/
organisations
/
{orgId}
/
workspaces
/
{workspaceId}
/
knowledge
/
{knowledgeId}
Update a piece of knowledge
Authorizations
JWT authentication for organization-scoped endpoints.
Path Parameters
Organization ID
Workspace ID
Knowledge ID
Body
application/json
Request schema for updating knowledge
Knowledge title
Example:
"Best practices for AI in healthcare"
Knowledge description - a short summary of the knowledge
Example:
"A collection of best practices for AI in healthcare"
The content of the knowledge, only available for text sources, optional
Example:
"A collection of best practices for AI in healthcare"
Response
Success
Response containing a single knowledge
Response containing a single knowledge
Show child attributes
Show child attributes
⌘I